curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_quality_matrix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"report_name": "employee_quality_matrix",
"report_data": {
"entity_count": 100,
"data_quality_matrix": [
{
"source": "JIRA",
"event_type": "ticket",
"source_type": "employee-specific",
"source_coverage": 0.8,
"empty_profile": 0.05,
"source_quality": 0.85,
"total_skill_volume": 45,
"unique_skill_volume": 24,
"source_differentation": 0.68
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Data Maturity Scan
Get Employee Quality Matrix
Generate the Employee Quality Matrix for all Employees in the system.
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_quality_matrix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"report_name": "employee_quality_matrix",
"report_data": {
"entity_count": 100,
"data_quality_matrix": [
{
"source": "JIRA",
"event_type": "ticket",
"source_type": "employee-specific",
"source_coverage": 0.8,
"empty_profile": 0.05,
"source_quality": 0.85,
"total_skill_volume": 45,
"unique_skill_volume": 24,
"source_differentation": 0.68
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.
Body
application/json
Optional filters to apply to the report.
Show child attributes
Show child attributes
Was this page helpful?